[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGInterfacedObjectList.Items

Indexed access to objects in the list.

## Declaration

Source position: fgl.pp line 240

`public property TFPGInterfacedObjectList.Items[Index: Integer] : T read Get write Put; default;`

## Description

Items provides indexed access to the objects in the list. The objects can be get or set.

The index Index is zero based, and has a maximum value of Count-1.

The previous object at position Index may be freed when setting the property, depending on its reference count.

## Errors

If an invalid index is used, an EListError exception is raised.

## See also

TFPSList.Count |  | Current element count